
Smart Proxy - Bug #12217

`ruby_21` is not a valid platform` with older versions of Bundler

10/20/2015 04:15 AM - Dominic Cleal

Status: Closed   

Priority: High   

Assignee:    

Category: Core   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/331

  

Description

Using :platforms in a Gemfile with newer Ruby versions is incompatible with older Bundler versions that we use on a number of

packaged OSes.  The Gemfile should use RUBY_VERSION instead of :platforms to restrict by Ruby version.

Oct 20 07:47:01 localhost systemd: Starting Foreman Proxy...

Oct 20 07:47:01 localhost smart-proxy: /usr/share/foreman-proxy/Gemfile.in:9:in `instance_eval': `

ruby_21` is not a valid platform. The available options are: [:ruby, :ruby_18, :ruby_19, :ruby_20,

 :mri, :mri_18, :mri_19, :mri_20, :rbx, :jruby, :mswin, :mingw, :mingw_18, :mingw_19, :mingw_20] (

Bundler::GemfileError)

Related issues:

Related to Smart Proxy - Feature #12152: support for running of smart-proxy u... Closed 10/13/2015

Related to Foreman - Bug #12215: Debian package build is failing with "`ruby_... Closed 10/19/2015

Associated revisions

Revision 00875b34 - 10/20/2015 09:37 AM - Dmitri Dolguikh 

Fixes #12217: support older versions of bundler

No longer rely on :platforms to install test-unit dependency

History

#1 - 10/20/2015 04:15 AM - Dominic Cleal

- Related to Feature #12152: support for running of smart-proxy under ruby 2.2 added

#2 - 10/20/2015 04:15 AM - Dominic Cleal

- Related to Bug #12215: Debian package build is failing with "`ruby_22` is not a valid platform." added

#3 - 10/20/2015 05:49 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/331 added

- Pull request deleted ()

#4 - 10/20/2015 09:37 AM - Dominic Cleal

- Assignee set to Anonymous

#5 - 10/20/2015 10:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 00875b34eafe4993a7b0bcd93f7b238f86858b76.
